include(`macros.m4')
<HTML>
<HEAD>
<TITLE>"The Next Level" Desktop Configuration, Introduction</TITLE>
</HEAD>
<BODY>
TOC_HEADING
<H2><A NAME="intro">Introduction</A></H2>

"The Next Level" is a combination of many diverse improvements resulting
in a highly functional, attractive, and usable desktop configuration.

<H3><A NAME="overview">Overview</A></H3>
"The Next Level" includes:

<UL>
  <LI> a <A HREF=m4_Refer(customization,zshpatch)>patch to the zsh shell</A> which is
configured to display the currently executing program in the
XTerm/Nxterm title bar (original)
  <LI> a <A HREF=m4_Refer(customization,fvwmpatch)>patch to fvwm2</A> that allows display of
only icons in a window list, if desired, giving a kind-of "on-demand",
low-overhead, icon box (original)
  <LI> a zsh configuration including completion control for the complex 
  rpm command (rpm compctl is original)
  <LI> X Resources to work with zsh key bindings, and fvwm configuration (original)
  <LI> elisp files to support the configuration and integrate cleanly into 
  the desktop (mostly original)
  <LI> several custom icons (original) along with the full set of icons used
  by the desktop
  <LI> replacement control-panel icons to improve its appearance (icons from
  3dpixmaps package; mappings to control-panel items are original)
  <LI> this help system to guide the new user through learning 
  the desktop (original)
  <LI> a set of FVWM configuration files (original, with a rare few borrowed
  and extended parts)
</UL>


<H3><A NAME="highlights">FVWM Configuration Highlights</A></H3>

<UL>
<LI> Uses M4 <B>extensively</B>
<LI> Automatically-generated rip-off button bars, small or large buttons, or both
<LI> Dynamic configuration "Preferences" menu
<LI> Smart title bar button definitions
<LI> Smart program/menu definitions
<LI> Thorough keybindings, including automatic definition of shortcut keys
<LI> Keybindings for mouse pointer movement, so you don't have to reach over to the mouse
<LI> Screen-size independence-- same configuration "scales" itself for
  smaller screens so you only need one setup for your desktop and laptop
  (Beware: the size depends on the virtual screen size-- if you're using
   a laptop, it's *virtual* size must be smaller to notice any changes
   in your environment.  FvwmM4 doesn't see the physical screen size anywhere.)
<LI> much, <B>much</B> more!
</UL>

<H3><A NAME="principles">Guiding Principles</A></H3>
<UL>
  <LI> Allow for a higher-level design of your user-interface, the next level
of abstraction better than FVWM's configuration currently allows.
  <LI> Provide Mouse-free operation, thorough <A
HREF=m4_Refer(keybindings)>keybindings</A> everywhere
  <LI> Remove the need for tedious editing and reconfiguration -- no more
applications listed in menus that don't exist on your current system
  <LI> Create a screen-size-independent configuration
  <LI> Preserve keybindings for applications
</UL>

<HR>
<H3><A NAME="usinghelp">Using this Help System</A></H3>

Throughout this document, keystrokes and mouse actions have graphical
depictions of the various buttons pressed.  I think that chorded
keystrokes (<I>eg.</I> CTRL-ALT-SHIFT) are hard for users to read, and
are not very good "at-a-glance" memory aids, so I developed these mini
GIFs which represent the lower left portion of your keyboard. The
picture may be followed by an all-capitals word, signifying an extra
keystroke to hit.  For example gif_CS RETURN means to press and hold
the Control and Shift keys, then strike RETURN.  Similarly gif_CSA
gif_Mouse2 means to press and hold the Control, Shift, and Alt keys
(Alt might be your Meta key, depending on your keymap), then press
Mouse button 2 (or press both mouse buttons 1 and 2, if you're using a
two button mouse with XFree86's "chorded" middle mouse button).<P>

In general, key bindings are chosen that have some logical
relationship to the operation they perform, and hopefully "feel" good.
Notice that gif_CSA gif_Mouse2, the action for the window move
operation, involves lots of fingers, like grabbing the window with
your two hands.  Other action/operation mappings are hopefully meaningful, as well.<P>

Some keyboards have the Control key in different places, but it is
often directly above or directly below the Shift key, swapping with Caps-Lock.

ifdef(`HIGH_CONTROL_KEY',`
<B>If your Control key appears below (lower than) your Shift key on your
keyboard, you should use <A HREF="index.html">this help document</A></B>.
',`
<B>If your Control key appears above (higher than) your Shift key on your
keyboard, you should use <A HREF="index-C.html">this help document</A></B>.
')
<P>

<HR>
<H3><A NAME="warnings">Warnings</A></H3>

FVWM Version 2 is still beta software.  Thus, it is a work in
progress, and dealing with bugs comes with the territory.  You should be sure
to report any new bugs you find, and keep checking for new versions of
FVWM2, and of this configuration.

ADDRESS_FOOTER

</BODY>
</HTML>
