include(`macros.m4')
<HTML>
<HEAD>
<TITLE>"The Next Level" Desktop Configuration, Table of Contents</TITLE>
</HEAD>
<BODY>
TOC_HEADING
<H2><A NAME="movingaround">Moving Around</A></H2>

<H3>Features</H3>
<UL>
  <LI> <A HREF="#pointermovement">Pointer movement</A> without the mouse
  <LI> Logical <A HREF="#virtualscreennavigation">virtual screen
navigation </A>, without interfering with application keybindings
  <LI> <A HREF=m4_Refer(movingaround,virtualconsolenavigation)>Virtual Console Navigation</A>
  <LI> Keystroke <A HREF="#focusselection">focus selection </A>
</UL>

Depending on the <TT>NOT_VI_KEYS</TT> setting in <TT><A
HREF="#fvwm2rc-defines">.fvwm2rc.defines</A></TT>, your pointer movement
key bindings will be one of the following:

<H3><A NAME="pointermovement">Pointer Movement, VI-Like (Default)</A></H3>

<CENTER>
<TABLE BORDER>
<CAPTION ALIGN="top"> VI-Like Pointer Movement </CAPTION>
BINDING_HEADING_ROW
<TR> <TD> gif_CSA H </TD> <TD> Coarse Left </TD> </TR>
<TR> <TD> gif_CSA J </TD> <TD> Coarse Down </TD> </TR>
<TR> <TD> gif_CSA K </TD> <TD> Coarse Up </TD> </TR>
<TR> <TD> gif_CSA L </TD> <TD> Coarse Right </TD> </TR>
<TR> <TD> gif_CSA U </TD> <TD> Fine Left  </TD> </TR>
<TR> <TD> gif_CSA I </TD> <TD> Fine Down </TD> </TR>
<TR> <TD> gif_CSA O </TD> <TD> Fine Up  </TD> </TR>
<TR> <TD> gif_CSA P </TD> <TD> Fine Right </TD> </TR>
</TABLE><P>
</CENTER>


<H3>Pointer Movement, Inverted-T Layout (<TT>NOT_VI_KEYS</TT> defined) </H3>

<CENTER>
<TABLE BORDER>
<CAPTION ALIGN="top"> Inverted-T Pointer Movement </CAPTION>
BINDING_HEADING_ROW
<TR> <TD> gif_CSA J </TD> <TD> Coarse Left </TD> </TR>
<TR> <TD> gif_CSA K </TD> <TD> Coarse Down </TD> </TR>
<TR> <TD> gif_CSA I </TD> <TD> Coarse Up </TD> </TR>
<TR> <TD> gif_CSA L </TD> <TD> Coarse Right </TD> </TR>
</TABLE><P>
</CENTER>


and, if you don't mind moving your hands from the home row,
the F9-F12 function keys give you two degrees of movement<P>

<H3>Pointer Movement, Function Keys </H3>

<CENTER>
<TABLE BORDER>
<CAPTION ALIGN="top"> Function Key Pointer Movement </CAPTION>
BINDING_HEADING_ROW
<TR> <TD> gif_AS F9 </TD> <TD> Medium Coarse Left </TD> </TR>
<TR> <TD> gif_AS F10 </TD> <TD> Medium Coarse Down </TD> </TR>
<TR> <TD> gif_AS F11 </TD> <TD> Medium Coarse Up </TD> </TR>
<TR> <TD> gif_AS F12 </TD> <TD> Medium Coarse Right </TD> </TR>
<TR> <TD> gif_CS F9 </TD> <TD> Fine Left  </TD> </TR>
<TR> <TD> gif_CS F10 </TD> <TD> Fine Down </TD> </TR>
<TR> <TD> gif_CS F11 </TD> <TD> Fine Up  </TD> </TR>
<TR> <TD> gif_CS F12 </TD> <TD> Fine Right </TD> </TR>
</TABLE><P>
</CENTER>


<A NAME="virtualscreennavigation"><H3>Virtual Screen Navigation </H3></A>

You can use the <TT>FvwmPager</TT> to view the current virtual desktop
layout.  Navigate around the numerous desktops by moving the mouse
pointer off the edge of a screen, or by using a keyboard shortcut, below.


<CENTER>
<TABLE BORDER>
<CAPTION ALIGN="top"> Virtual Screen Navigation </CAPTION>
BINDING_HEADING_ROW
<TR> <TD> gif_CSA gif_Arrows </TD> <TD> Full-Desk movement </TD> </TR>
<TR> <TD> gif_CSA gif_KeyPArrows  </TD> <TD> Partial-Desk movement </TD> </TR>
<TR> <TD> gif_CSA HOME  </TD> <TD> Switch to Top Room (set of 3x3 desks) </TD> </TR>
<TR> <TD> gif_CSA END  </TD> <TD> Switch to Bottom Room (set of 3x3 desks) </TD> </TR>
<TR> <TD> gif_CSA ESC  </TD> <TD> Logout </TD> </TR>
</TABLE>
</CENTER>

<H3><A NAME="virtualconsolenavigation">Virtual Console Navigation </A></H3>

gif_CA F1-F8 Will switch to one of your Linux virtual consoles.<P>


<H3><A NAME="focusselection">Focus Selection </A></H3>

As always, you can certainly move the mouse into the window you want
to change focus.  If FVWM's <TT>ClickToFocus</TT> style is set, you'll
have to click on a title bar for it to receive keyboard focus.  Also, if you've
got two windows side by side, the above mouse-movement with keys works great for
moving your

<CENTER>
<TABLE BORDER>
<CAPTION ALIGN="top"> Focus Selection </CAPTION>
BINDING_HEADING_ROW
<TR> <TD> gif_A TAB  </TD> <TD> Next Window </TD> </TR>
<TR> <TD> gif_AS TAB  </TD> <TD> Previous Window </TD> </TR>
<TR> <TD> gif_A ESC  </TD> <TD> Window-List </TD> </TR>
<TR> <TD> gif_CS RETURN </TD> <TD> Icon/Window List (see <A HREF="#fvwmpatch">fvwmpatch</A>) </TD> </TR>
</TABLE>
</CENTER>

ADDRESS_FOOTER

</BODY>
</HTML>
